	.bss
	.export HPOS, HMP0
	.export RESMP0, RESMP1
HPOS:	.res 4 ; Horizontal positions
HMP0:	.res 4 ; Horizontal motion values
RESMP0:	.res 1 ; Missile to player emulation
RESMP1:	.res 1 ; Missile to player emulation
;
	.data
;                               Patterns for numbers
;
	.export NUMBERS
NUMBERS:
	.byte $0E ; |    XXX | $F5C5   Leading zero is not drawn
	.byte $0A ; |    X X | $F5C6   because it's never used.
	.byte $0A ; |    X X | $F5C7
	.byte $0A ; |    X X | $F5C8
	.byte $0E ; |    XXX | $F5C9
	
	.byte $22 ; |  X   X | $F5CA
	.byte $22 ; |  X   X | $F5CB
	.byte $22 ; |  X   X | $F5CC
	.byte $22 ; |  X   X | $F5CD
	.byte $22 ; |  X   X | $F5CE
	
	.byte $EE ; |XXX XXX | $F5CF
	.byte $22 ; |  X   X | $F5D0
	.byte $EE ; |XXX XXX | $F5D1
	.byte $88 ; |X   X   | $F5D2
	.byte $EE ; |XXX XXX | $F5D3
	
	.byte $EE ; |XXX XXX | $F5D4
	.byte $22 ; |  X   X | $F5D5
	.byte $66 ; | XX  XX | $F5D6
	.byte $22 ; |  X   X | $F5D7
	.byte $EE ; |XXX XXX | $F5D8
	
	.byte $AA ; |X X X X | $F5D9
	.byte $AA ; |X X X X | $F5DA
	.byte $EE ; |XXX XXX | $F5DB
	.byte $22 ; |  X   X | $F5DC
	.byte $22 ; |  X   X | $F5DD
	
	.byte $EE ; |XXX XXX | $F5DE
	.byte $88 ; |X   X   | $F5DF
	.byte $EE ; |XXX XXX | $F5E0
	.byte $22 ; |  X   X | $F5E1
	.byte $EE ; |XXX XXX | $F5E2
	
	.byte $EE ; |XXX XXX | $F5E3
	.byte $88 ; |X   X   | $F5E4
	.byte $EE ; |XXX XXX | $F5E5
	.byte $AA ; |X X X X | $F5E6
	.byte $EE ; |XXX XXX | $F5E7
	
	.byte $EE ; |XXX XXX | $F5E8
	.byte $22 ; |  X   X | $F5E9
	.byte $22 ; |  X   X | $F5EA
	.byte $22 ; |  X   X | $F5EB
	.byte $22 ; |  X   X | $F5EC
	
	.byte $EE ; |XXX XXX | $F5ED
	.byte $AA ; |X X X X | $F5EE
	.byte $EE ; |XXX XXX | $F5EF
	.byte $AA ; |X X X X | $F5F0
	.byte $EE ; |XXX XXX | $F5F1
	
	.byte $EE ; |XXX XXX | $F5F2
	.byte $AA ; |X X X X | $F5F3
	.byte $EE ; |XXX XXX | $F5F4
	.byte $22 ; |  X   X | $F5F5
	.byte $EE ; |XXX XXX | $F5F6

;
;  A bunch of data read with the Y-register.
;  I still don't know.
;
	.export L15F7
L15F7:
	.BYTE  $F8 ,$F7 ,$F6 ,$06 ,$06
	.BYTE  $06 ,$16 ,$17 ,$18 ;     $15FC
	.BYTE  $19 ,$1A ,$0A ,$0A ;     $1600
	.BYTE  $0A ,$FA ,$F9 ,$F8 ;     $1604
	.BYTE  $F7 ,$F6 ,$F6 ,$06 ;     $1608
	.BYTE  $16 ,$16 ,$17 ,$18 ;     $160C
	.BYTE  $19 ,$1A ,$1A ,$0A ;     $1610
	.BYTE  $FA ,$FA ,$F9 ,$E8 ;     $1614
	.BYTE  $E6 ,$E4 ,$F4 ,$04 ;     $1618
	.BYTE  $14 ,$24 ,$26 ,$28 ;     $161C
	.BYTE  $2A ,$2C ,$1C ,$0C ;     $1620
	.BYTE  $FC ,$EC ,$EA ;          $1624
;
; Vectors for all sixteen possible headings, in 22.5
; degree increments.  This uses some sort of binary
; notation, or it might just go by nybble.  I just
; haven't figured it out yet.
;
	.export HDGTBL
HDGTBL:
	.BYTE  $C8 ,$C4 ,$C0 ,$E0
	.BYTE  $00 ,$20 ,$40 ,$44 
	.BYTE  $48 ,$4C ,$4F ,$2F
	.BYTE  $0F ,$EF ,$CF ,$CC

;
; Has to do with player velocity.  Every
; even location goes to $A8,X and every
; odd location goes to $AA,X.  Bit 7 is
; significant.  I can't help but think
; this is a multiplication table of some
; kind.
;
	.export L1637
L1637:
	.BYTE  $00 ,$00 ,$80 ,$80
	.BYTE  $84 ,$20 ,$88 ,$88
	.BYTE  $92 ,$48 ,$A4 ,$A4
	.BYTE  $A9 ,$52 ,$AA ,$AA
	.BYTE  $D5 ,$AA ,$DA ,$DA
	.BYTE  $DB ,$6D ,$EE ,$EE
;
; These are all the sprite shapes.
; The most I suspect any of you will do is
; modify these.  And/or the number shapes.
;
	.export TankShape
TankShape:
	.byte $00 ; |        | $F64F
	.byte $FC ; |XXXXXX  | $F650
	.byte $FC ; |XXXXXX  | $F651
	.byte $38 ; |  XXX   | $F652
	.byte $3F ; |  XXXXXX| $F653
	.byte $38 ; |  XXX   | $F654
	.byte $FC ; |XXXXXX  | $F655
	.byte $FC ; |XXXXXX  | $F656
	
	.byte $1C ; |   XXX  | $F657
	.byte $78 ; | XXXX   | $F658
	.byte $FB ; |XXXXX XX| $F659
	.byte $7C ; | XXXXX  | $F65A
	.byte $1C ; |   XXX  | $F65B
	.byte $1F ; |   XXXXX| $F65C
	.byte $3E ; |  XXXXX | $F65D
	.byte $18 ; |   XX   | $F65E

	.byte $19 ; |   XX  X| $F65F
	.byte $3A ; |  XXX X | $F660
	.byte $7C ; | XXXXX  | $F661
	.byte $FF ; |XXXXXXXX| $F662
	.byte $DF ; |XX XXXXX| $F663
	.byte $0E ; |    XXX | $F664
	.byte $1C ; |   XXX  | $F665
	.byte $18 ; |   XX   | $F666
	
	.byte $24 ; |  X  X  | $F667
	.byte $64 ; | XX  X  | $F668
	.byte $79 ; | XXXX  X| $F669
	.byte $FF ; |XXXXXXXX| $F66A
	.byte $FF ; |XXXXXXXX| $F66B
	.byte $4E ; | X  XXX | $F66C
	.byte $0E ; |    XXX | $F66D
	.byte $04 ; |     X  | $F66E
	
	.byte $08 ; |    X   | $F66F
	.byte $08 ; |    X   | $F670
	.byte $6B ; | XX X XX| $F671
	.byte $7F ; | XXXXXXX| $F672
	.byte $7F ; | XXXXXXX| $F673
	.byte $7F ; | XXXXXXX| $F674
	.byte $63 ; | XX   XX| $F675
	.byte $63 ; | XX   XX| $F676
	
	.byte $24 ; |  X  X  | $F677
	.byte $26 ; |  X  XX | $F678
	.byte $9E ; |X  XXXX | $F679
	.byte $FF ; |XXXXXXXX| $F67A
	.byte $FF ; |XXXXXXXX| $F67B
	.byte $72 ; | XXX  X | $F67C
	.byte $70 ; | XXX    | $F67D
	.byte $20 ; |  X     | $F67E
	
	.byte $98 ; |X  XX   | $F67F
	.byte $5C ; | X XXX  | $F680
	.byte $3E ; |  XXXXX | $F681
	.byte $FF ; |XXXXXXXX| $F682
	.byte $FB ; |XXXXX XX| $F683
	.byte $70 ; | XXX    | $F684
	.byte $38 ; |  XXX   | $F685
	.byte $18 ; |   XX   | $F686
	
	.byte $38 ; |  XXX   | $F687
	.byte $1E ; |   XXXX | $F688
	.byte $DF ; |XX XXXXX| $F689
	.byte $3E ; |  XXXXX | $F68A
	.byte $38 ; |  XXX   | $F68B
	.byte $F8 ; |XXXXX   | $F68C
	.byte $7C ; | XXXXX  | $F68D
	.byte $18 ; |   XX   | $F68E

	.export JetShape
JetShape:
	.byte $60 ; | XX     | $F68F
	.byte $70 ; | XXX    | $F690
	.byte $78 ; | XXXX   | $F691
	.byte $FF ; |XXXXXXXX| $F692
	.byte $78 ; | XXXX   | $F693
	.byte $70 ; | XXX    | $F694
	.byte $60 ; | XX     | $F695
	.byte $00 ; |        | $F696
	
	.byte $00 ; |        | $F697
	.byte $C1 ; |XX     X| $F698
	.byte $FE ; |XXXXXXX | $F699
	.byte $7C ; | XXXXX  | $F69A
	.byte $78 ; | XXXX   | $F69B
	.byte $30 ; |  XX    | $F69C
	.byte $30 ; |  XX    | $F69D
	.byte $30 ; |  XX    | $F69E
	
	.byte $00 ; |        | $F69F
	.byte $03 ; |      XX| $F6A0
	.byte $06 ; |     XX | $F6A1
	.byte $FC ; |XXXXXX  | $F6A2
	.byte $FC ; |XXXXXX  | $F6A3
	.byte $3C ; |  XXXX  | $F6A4
	.byte $0C ; |    XX  | $F6A5
	.byte $0C ; |    XX  | $F6A6
	
	.byte $02 ; |      X | $F6A7
	.byte $04 ; |     X  | $F6A8
	.byte $0C ; |    XX  | $F6A9
	.byte $1C ; |   XXX  | $F6AA
	.byte $FC ; |XXXXXX  | $F6AB
	.byte $FC ; |XXXXXX  | $F6AC
	.byte $1E ; |   XXXX | $F6AD
	.byte $06 ; |     XX | $F6AE
	
	.byte $10 ; |   X    | $F6AF
	.byte $10 ; |   X    | $F6B0
	.byte $10 ; |   X    | $F6B1
	.byte $38 ; |  XXX   | $F6B2
	.byte $7C ; | XXXXX  | $F6B3
	.byte $FE ; |XXXXXXX | $F6B4
	.byte $FE ; |XXXXXXX | $F6B5
	.byte $10 ; |   X    | $F6B6
	
	.byte $40 ; | X      | $F6B7
	.byte $20 ; |  X     | $F6B8
	.byte $30 ; |  XX    | $F6B9
	.byte $38 ; |  XXX   | $F6BA
	.byte $3F ; |  XXXXXX| $F6BB
	.byte $3F ; |  XXXXXX| $F6BC
	.byte $78 ; | XXXX   | $F6BD
	.byte $60 ; | XX     | $F6BE
	
	.byte $40 ; | X      | $F6BF
	.byte $60 ; | XX     | $F6C0
	.byte $3F ; |  XXXXXX| $F6C1
	.byte $1F ; |   XXXXX| $F6C2
	.byte $1E ; |   XXXX | $F6C3
	.byte $1E ; |   XXXX | $F6C4
	.byte $18 ; |   XX   | $F6C5
	.byte $18 ; |   XX   | $F6C6
	
	.byte $00 ; |        | $F6C7
	.byte $83 ; |X     XX| $F6C8
	.byte $7F ; | XXXXXXX| $F6C9
	.byte $3E ; |  XXXXX | $F6CA
	.byte $1E ; |   XXXX | $F6CB
	.byte $0C ; |    XX  | $F6CC
	.byte $0C ; |    XX  | $F6CD
	.byte $0C ; |    XX  | $F6CE

	.export PlaneShape
PlaneShape:
	.byte $00 ; |        | $F6CF
	.byte $8E ; |X   XXX | $F6D0
	.byte $84 ; |X    X  | $F6D1
	.byte $FF ; |XXXXXXXX| $F6D2
	.byte $FF ; |XXXXXXXX| $F6D3
	.byte $04 ; |     X  | $F6D4
	.byte $0E ; |    XXX | $F6D5
	.byte $00 ; |        | $F6D6
	
	.byte $00 ; |        | $F6D7
	.byte $0E ; |    XXX | $F6D8
	.byte $04 ; |     X  | $F6D9
	.byte $8F ; |X   XXXX| $F6DA
	.byte $7F ; | XXXXXXX| $F6DB
	.byte $72 ; | XXX  X | $F6DC
	.byte $07 ; |     XXX| $F6DD
	.byte $00 ; |        | $F6DE
	
	.byte $10 ; |   X    | $F6DF
	.byte $36 ; |  XX XX | $F6E0
	.byte $2E ; |  X XXX | $F6E1
	.byte $0C ; |    XX  | $F6E2
	.byte $1F ; |   XXXXX| $F6E3
	.byte $B2 ; |X XX  X | $F6E4
	.byte $E0 ; |XXX     | $F6E5
	.byte $40 ; | X      | $F6E6
	
	.byte $24 ; |  X  X  | $F6E7
	.byte $2C ; |  X XX  | $F6E8
	.byte $5D ; | X XXX X| $F6E9
	.byte $1A ; |   XX X | $F6EA
	.byte $1A ; |   XX X | $F6EB
	.byte $30 ; |  XX    | $F6EC
	.byte $F0 ; |XXXX    | $F6ED
	.byte $60 ; | XX     | $F6EE
	
	.byte $18 ; |   XX   | $F6EF
	.byte $5A ; | X XX X | $F6F0
	.byte $7E ; | XXXXXX | $F6F1
	.byte $5A ; | X XX X | $F6F2
	.byte $18 ; |   XX   | $F6F3
	.byte $18 ; |   XX   | $F6F4
	.byte $18 ; |   XX   | $F6F5
	.byte $78 ; | XXXX   | $F6F6
	
	.byte $34 ; |  XX X  | $F6F7
	.byte $36 ; |  XX XX | $F6F8
	.byte $5A ; | X XX X | $F6F9
	.byte $78 ; | XXXX   | $F6FA
	.byte $2C ; |  X XX  | $F6FB
	.byte $0C ; |    XX  | $F6FC
	.byte $06 ; |     XX | $F6FD
	.byte $0C ; |    XX  | $F6FE
	
	.byte $08 ; |    X   | $F6FF
	.byte $6C ; | XX XX  | $F700
	.byte $70 ; | XXX    | $F701
	.byte $B8 ; |X XXX   | $F702
	.byte $DC ; |XX XXX  | $F703
	.byte $4E ; | X  XXX | $F704
	.byte $07 ; |     XXX| $F705
	.byte $06 ; |     XX | $F706
	
	.byte $38 ; |  XXX   | $F707
	.byte $10 ; |   X    | $F708
	.byte $F0 ; |XXXX    | $F709
	.byte $7C ; | XXXXX  | $F70A
	.byte $4F ; | X  XXXX| $F70B
	.byte $E3 ; |XXX   XX| $F70C
	.byte $02 ; |      X | $F70D
	.byte $00 ; |        | $F70E
;
; These are sub-pointers, used to set up the
; two-dimensional array at CTRLTBL.
;
	.export L170F
L170F:	.BYTE  $00 ,$0B ,$16

;
; Two-dimensional array, 12x3.
;
; This array specifies what the joystick does
; in each game.  Looking at it now the format looks
; like this:
;
;   Low nybble = Amount to rotate object (signed)
;                   $00 = Not at all
;                   $01 = Clockwise         (+1)
;                   $0F = Counter-clockwise (-1)
;   High nybble = Speed to move object (unsigned)
;                   $00 = Not moving
;                   $F0 = Warp speed
;
; Observe the $FF's.  Notice how indexing out of bounds with impossible
; joystick movements will cause strange behavior.
;
; Tank movement
;                    UP  DOWN (No reverse)
	.export CTRLTBL
CTRLTBL:
	.BYTE  $00 ,$10 ,$00 ,$FF
	.BYTE  $01 ,$11 ,$01 ,$FF ;LEFT
	.BYTE  $0F ,$1F ,$0F      ;RIGHT
;
; Biplane movement (This is why controls are sideways)
;                    UP  DOWN
	.BYTE  $50 ,$5F ,$51 ,$FF ;
	.BYTE  $30 ,$3F ,$31 ,$FF ;LEFT
	.BYTE  $70 ,$7F ,$71      ;RIGHT
;
; Jet fighter movement
;                    UP  DOWN
	.BYTE  $90 ,$B0 ,$70 ,$FF ;
	.BYTE  $91 ,$B1 ,$71 ,$FF ;LEFT
	.BYTE  $9F ,$BF ,$7F      ;RIGHT
;
; Sound information for different game types.
; Different tools of destruction make different
; sound.
;
; There is some more data below which looks to
; be other information; different machines at
; different speeds.  However this is reached,
; this could be called a three-dimensional array.
;
	.export SNDV, SNDC, SNDP
;         Tanks Biplane, Jet Fighter
SNDV:	.BYTE  $08 ,$02 ,$02 ;          sound volumes
;	.BYTE  $02 ,$03 ,$08 ;          sound types old
SNDC:	.BYTE  $A0 ,$40 ,$80 ;          sound types
SNDP:	.BYTE  $1D ,$05 ,$00 ;          sound pitches
	.BYTE  $00 ,$00 ,$00 ;     $173C
	.BYTE  $00 ,$00 ,$00 ;     $1740
	.BYTE  $00 ,$00, $00 ,$00 ,$00 ,$1D ;     $1747
	.BYTE  $1D ,$16 ,$16      ;     $174A
	.BYTE  $0F ,$0F ,$00 
	.BYTE  $00 ,$00 ,$00  ;     $174E
	.BYTE  $00 ,$00 ,$00  ;     $1751
	.BYTE  $00 ,$00 ,$12  ;     $1754
	.BYTE  $10 ,$10 ,$0C  ;     $1757
	.BYTE  $0C ,$07 ,$07  ;        $175A

; Player widths for various plane games.
; Through the miracle of the Atari 2600's NUSIZ
; register, the difference between a 1 vs. 1 game
; and a Bomber vs. 3 game is contained in just
; two bytes.
;
	.export WIDTHS
WIDTHS:
	.BYTE  $00 ,$00  ;1 vs. 1
	.BYTE  $01 ,$01  ;2 vs. 2
	.BYTE  $00 ,$03  ;1 vs. 3
	.BYTE  $27 ,$03  ;Bomber vs. 3

	.export L1765
	; Games Colour table, 4 per variation
L1765:
	.byte $EA ; |XXX X X | red
	.byte $3C ; |  XXXX  | blue
	.byte $82 ; |X     X | orange
	.byte $44 ; | X   X  | green
	
	.byte $32 ; |  XX  X | green
	.byte $2C ; |  X XX  | blue
	.byte $8A ; |X   X X | orange
	.byte $DA ; |XX XX X | brown
	
	.byte $80 ; |X       | orange
	.byte $9C ; |X  XXX  | green
	.byte $DA ; |XX XX X | light blue
	.byte $3A ; |  XXX X | blue
	
	.byte $64 ; | XX  X  | orange
	.byte $A8 ; |X X X   | green
	.byte $DA ; |XX XX X | grey/blue
	.byte $4A ; | X  X X | purple
	; B/W colours
	.byte $08 ; |    X   | $F775
	.byte $04 ; |     X  | $F776
	.byte $00 ; |        | $F777
	.byte $0E ; |    XXX | $F778

	.export PFWall1a ; (b/w settings)
PFWall1a:
	.byte $F0 ; |XXXX    | $F779
	.byte $10 ; |   X    | $F77A
	.byte $10 ; |   X    | $F77B
	.byte $10 ; |   X    | $F77C
	.byte $10 ; |   X    | $F77D
	.byte $10 ; |   X    | $F77E
	.byte $10 ; |   X    | $F77F
	.byte $10 ; |   X    | $F780
	.byte $10 ; |   X    | $F781
	.byte $10 ; |   X    | $F782
	.byte $10 ; |   X    | $F783
	.byte $10 ; |   X    | $F784
PFWall1b:	
	.byte $FF ; |XXXXXXXX| $F785
	.byte $00 ; |        | $F786
	.byte $00 ; |        | $F787
	.byte $00 ; |        | $F788
	.byte $38 ; |  XXX   | $F789
	.byte $00 ; |        | $F78A
	.byte $00 ; |        | $F78B
	.byte $00 ; |        | $F78C
	.byte $60 ; | XX     | $F78D
	.byte $20 ; |  X     | $F78E
	.byte $20 ; |  X     | $F78F
	.byte $23 ; |  X   XX| $F790
PFWall1c:
	.byte $FF ; |XXXXXXXX| $F791
	.byte $80 ; |X       | $F792
	.byte $80 ; |X       | $F793
	.byte $00 ; |        | $F794
	.byte $00 ; |        | $F795
	.byte $00 ; |        | $F796
	.byte $1C ; |   XXX  | $F797
	.byte $04 ; |     X  | $F798
	.byte $00 ; |        | $F799
	.byte $00 ; |        | $F79A
	.byte $00 ; |        | $F79B
	.byte $00 ; |        | $F79C
PFWall2a:
	.byte $FF ; |XXXXXXXX| $F79D
	.byte $00 ; |        | $F79E
	.byte $00 ; |        | $F79F
	.byte $00 ; |        | $F7A0
PFWall2b:
	.byte $00 ; |        | $F7A1
	.byte $00 ; |        | $F7A2
	.byte $00 ; |        | $F7A3
	.byte $00 ; |        | $F7A4
	.byte $00 ; |        | $F7A5
	.byte $00 ; |        | $F7A6
	.byte $00 ; |        | $F7A7
	.byte $00 ; |        | $F7A8
	.byte $00 ; |        | $F7A9
	.byte $07 ; |     XXX| $F7AA
	.byte $1F ; |   XXXXX| $F7AB
	.byte $3F ; |  XXXXXX| $F7AC
	.byte $7F ; | XXXXXXX| $F7AD
PFWall2c:
	.byte $FF ; |XXXXXXXX| $F7AE
	.byte $00 ; |        | $F7AF
	.byte $00 ; |        | $F7B0
	.byte $00 ; |        | $F7B1
	.byte $00 ; |        | $F7B2
	.byte $00 ; |        | $F7B3
	.byte $00 ; |        | $F7B4
	.byte $00 ; |        | $F7B5
	.byte $00 ; |        | $F7B6
	.byte $60 ; | XX     | $F7B7
	.byte $20 ; |  X     | $F7B8
	.byte $21 ; |  X    X| $F7B9
PFWall2d:
	.byte $FF ; |XXXXXXXX| $F7BA
	.byte $00 ; |        | $F7BB
	.byte $00 ; |        | $F7BC
	.byte $00 ; |        | $F7BD
	.byte $80 ; |X       | $F7BE
	.byte $80 ; |X       | $F7BF
	.byte $80 ; |X       | $F7C0
	.byte $80 ; |X       | $F7C1
	.byte $00 ; |        | $F7C2
	.byte $00 ; |        | $F7C3
	.byte $00 ; |        | $F7C4
	.byte $07 ; |     XXX| $F7C5

; Addresses for Sprite Graphics

	.export SPRLO, SPRHI
SPRLO:	.BYTE  <TankShape, <PlaneShape, <JetShape
SPRHI:	.BYTE  >TankShape, >PlaneShape, >JetShape


; Playfield address data
;
	.export PLFPNT
;         Complex, None, Simple, Clouds
PLFPNT:
	.BYTE  PFWall1a-PFWall1a, PFWall1a-PFWall1a, PFWall1a-PFWall1a, PFWall2a+1-PFWall1a
	.BYTE  PFWall1b-PFWall1a, PFWall2a-PFWall1a, PFWall2c-PFWall1a, PFWall2b-PFWall1a
	.BYTE  PFWall1c-PFWall1a, PFWall2a-PFWall1a, PFWall2d-PFWall1a, PFWall2b-PFWall1a

; Format of game, best guess I have so far...
;
; bits   
;   1,0:      TANKS         PLANES
;        00 = Normal        1 vs. 1
;        01 = Invisible     2 vs. 2
;        10 =               3 vs. 1
;        11 =               3 vs. Giant
;   3,2: 01 = No maze
;        10 = Simple maze or clouds
;        00 = Complex maze or no clouds
;     4: Tanks, 1 = Must bounce to score hit
;        Planes, 1 = Machine Gun
;     5: 1 = Guided Missiles
;   7,6: 00 = Tanks
;        01 = Tank Pong
;        10 = Biplanes
;        11 = Jet Fighter
; (Bit 7 controls whether this is a tank or plane game)
;     
	.export VARDATA
VARDATA:
	.BYTE  $24 ;Game 1:  0010 0100  TANK
	.BYTE  $28 ;Game 2:  0010 1000
	.BYTE  $08 ;Game 3:  0000 1000
	.BYTE  $20 ;Game 4:  0010 0000
	.BYTE  $00 ;Game 5:  0000 0000
	.BYTE  $48 ;Game 6:  0100 1000  TANK PONG
	.BYTE  $40 ;Game 7:  0100 0000
	.BYTE  $54 ;Game 8:  0101 0100
	.BYTE  $58 ;Game 9:  0101 1000
	.BYTE  $25 ;Game 10: 0010 0101  INVISIBLE TANK
	.BYTE  $29 ;Game 11: 0010 1001
	.BYTE  $49 ;Game 12: 0100 1001
	.BYTE  $55 ;Game 13: 0101 0101
	.BYTE  $59 ;Game 14: 0101 1001
	.BYTE  $A8 ;Game 15: 1010 1000  BIPLANE
	.BYTE  $88 ;Game 16: 1000 1000
	.BYTE  $98 ;Game 17: 1001 1000
	.BYTE  $90 ;Game 18: 1001 0000
	.BYTE  $A1 ;Game 19: 1010 0001
	.BYTE  $83 ;Game 20: 1000 0011
	.BYTE  $E8 ;Game 21: 1110 1000  JET FIGHTER
	.BYTE  $C8 ;Game 22: 1100 1000
	.BYTE  $E0 ;Game 23: 1110 0000
	.BYTE  $C0 ;Game 24: 1100 0000
	.BYTE  $E9 ;Game 25: 1110 1001
	.BYTE  $E2 ;Game 26: 1110 0010
	.BYTE  $C1 ;Game 27: 1100 0001
; $FF to signify end of game variations.
; Theoretically one could add up to six
; additional variations.
	.BYTE  $FF
	.export L17FE
L17FE:	.BYTE  $0F, $11 ;        IRQ - (used as pitch for sound generator)

