	.exportzp GAMVAR, BCDvar, DIRECTN, GAMSHP, SCROFF
	.exportzp NUMG0, NUMG1, TMPSTK, GUIDED, GTIMER
	.exportzp SHOWSCR, ScanLine, SHAPES, SCORE, TankY0
	.exportzp TankY1, MissileY0, MissileY1, TEMP, XOFFS
	.exportzp LORES, HIRES, DIFSWCH, Color0, Color1

GAMVAR  =     $A3 ;Game Variation
BCDvar  =     $81 ;Game Variation in BCD
DIRECTN =     $95 ;Players and missiles' current bearing.
GAMSHP  =     $85 ;Shape of player and game type
		  ;0 = Tank
		  ;1 = Biplane
		  ;2 = Jet Fighter
SCROFF  =     $E0 ;Score pattern offsets
NUMG0   =     $DE ;Storage for current byte
NUMG1   =     $DF ;of score number graphics.
TMPSTK  =     $D3 ;Temporary storage for stack.

GUIDED  =     $83 ;Whether game is a guided missile game
GTIMER  =     $86 ;Game timer.
SHOWSCR =     $87 ;Show/hide right player score

ScanLine  =     $B4 ;Current scanline on the playfield.

SHAPES  =     $BB ;Pointer to player sprites
SCORE   =     $A1  ;Player scores in BCD.

TankY0   =     $A4  ;Tank 0's Y-position
TankY1   =     $A5  ;
MissileY0   =     $A6  ;Missile 0's Y-position
MissileY1   =     $A7  ;

TEMP    =     $D2;"score conversion temporary"
 
XOFFS   =     $B0 ;X-offset for Hmove.

LORES   =     $B5 ;lo-res indirect addresses.
HIRES   =     $BD ;Hi-res shape data.
		 ;Left player's shape stored in
		 ;all even bytes, right player's
		 ;shape stored in all odd bytes.

DIFSWCH = $D5

Color0  =     $D6 ;Tank Colors.
Color1  =     $D7
